package com.sheep.gamegroup.view.activity;

import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.OrientationHelper;
import android.support.v7.widget.RecyclerView;
import android.view.View;
import android.widget.ImageView;
import android.widget.TextView;

import com.sheep.gamegroup.view.adapter.MessageInteractionAdapter;
import com.sheep.jiuyan.samllsheep.R;

import java.util.List;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

/**
 * created on：2018/8/28 on 17:15
 * created by: YSL
 * 描述:互动消息详情Activity
 */
public class MessageInteractionDetailActivity extends AppCompatActivity {
    @BindView(R.id.txt_baseactivity_title)
    TextView tvTitle;
    @BindView(R.id.recycle_view)
    RecyclerView recyclerView;
    private MessageInteractionAdapter adapter;
    private List<?> mList;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_message_interaction);
        ButterKnife.bind(this);
        tvTitle.setText("回复详情");
        LinearLayoutManager manager = new LinearLayoutManager(this);
        manager.setOrientation(OrientationHelper.VERTICAL);
        recyclerView.setLayoutManager(manager);
        adapter = new MessageInteractionAdapter(this, mList);
        recyclerView.setAdapter(adapter);
    }

    @OnClick({R.id.img_baseactivity_title})
    public void initClick(View view) {
        switch (view.getId()) {
            case R.id.img_baseactivity_title:
                MessageInteractionDetailActivity.this.finish();
                break;
        }
    }
}
